﻿
$ErrorActionPreference = 'Stop';
$url32 = 'https://msedge.sf.dl.delivery.mp.microsoft.com/filestreamingservice/files/8cbaf214-66ff-4d0b-9c93-a43317de42c1/MicrosoftEdgeEnterpriseX86.msi'
$url64 = 'https://msedge.sf.dl.delivery.mp.microsoft.com/filestreamingservice/files/bef39902-53a3-4af3-b280-f7cc3a1a4799/MicrosoftEdgeEnterpriseX64.msi'

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  fileType       = 'MSI'
  url            = $url32
  url64bit       = $url64

  softwareName   = 'Microsoft Edge'

  checksum       = 'AF7150512C1A76F63B14D3F16E338173C53BD56D774AA3D97359A6782FDE3B86'
  checksumType   = 'sha256'
  checksum64     = 'D0E5A0E9CA6436E3C24763066C8ABECD9D38AA866939C81554D808FC58752659'
  checksumType64 = 'sha256'

  silentArgs     = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
